# image ls

<!---MARKER_GEN_START-->
List images

### Aliases

`docker image ls`, `docker image list`, `docker images`

### Options

| Name             | Type     | Default | Description                                                                                                                                                                                                                                                                                                                                                                                                                          |
|:-----------------|:---------|:--------|:-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| `-a`, `--all`    |          |         | Show all images (default hides intermediate images)                                                                                                                                                                                                                                                                                                                                                                                  |
| `--digests`      |          |         | Show digests                                                                                                                                                                                                                                                                                                                                                                                                                         |
| `-f`, `--filter` | `filter` |         | Filter output based on conditions provided                                                                                                                                                                                                                                                                                                                                                                                           |
| `--format`       | `string` |         | Format output using a custom template:<br>'table':            Print output in table format with column headers (default)<br>'table TEMPLATE':   Print output in table format using the given Go template<br>'json':             Print in JSON format<br>'TEMPLATE':         Print output using the given Go template.<br>Refer to https://docs.docker.com/go/formatting/ for more information about formatting output with templates |
| `--no-trunc`     |          |         | Don't truncate output                                                                                                                                                                                                                                                                                                                                                                                                                |
| `-q`, `--quiet`  |          |         | Only show image IDs                                                                                                                                                                                                                                                                                                                                                                                                                  |


<!---MARKER_GEN_END-->

## Description

See [docker images](images.md) for more information.
